Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 270926 - kde-base/kdelibs-3.5.10-r5 gcc-4.4 kjs dies without -fno-strict-aliasing
Summary: kde-base/kdelibs-3.5.10-r5 gcc-4.4 kjs dies without -fno-strict-aliasing
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: All Linux
: High critical (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: kde-3.5.10 gcc-4.4
  Show dependency tree
 
Reported: 2009-05-23 11:22 UTC by Duncan
Modified: 2009-05-27 11:12 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge --info (emerge.info,4.90 KB, text/plain)
2009-05-23 11:24 UTC, Duncan
Details
fix for the issue (kdelibs-3.5.10-kjs-gcc44.patch,8.53 KB, patch)
2009-05-26 19:03 UTC, Robert Förster
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Duncan 2009-05-23 11:22:06 UTC
This bug is I suppose the "backport version" of bug #267720, where the kdelibs-4.2 version of kjs was crashing when compiled with gcc-4.4.0 without -fno-strict-aliasing.  From the comments on the kde bug therein referenced, it appears the patched code was likely from pre-kde4, so the patch should be pretty similar I'd hope.

A lazy alternative, given the age and status of kde3, may be to simply check the gcc version and appendflags -fno-strict-aliasing if >=4.4.0.  That (well, the /etc/portage/env/kde-base/kdelibs file equivalent) is what I've done as a temporary workaround, and I can get to my bank without my browser crashing again! =:^)

Marking critical due to the crashes, noting also the "interesting" security implications a browser crash may conjure.

It's unlikely that emerge --info will be useful beyond the gcc-4.4.0, but I'll attach it just in case.

Duncan
Comment 1 Duncan 2009-05-23 11:24:53 UTC
Created attachment 192184 [details]
emerge --info
Comment 2 Robert Förster 2009-05-26 19:03:15 UTC
Created attachment 192530 [details, diff]
fix for the issue

here is the backported patch, it works for me here
Comment 3 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-05-27 11:12:25 UTC
Thanks, patch applied in kde3 overlay, it will hit tree as soon as i close all kdelibs-3.5 bugs